Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.txn
Class NoClientTransactions

    java.lang.Object
      org.modeshape.jcr.txn.Transactions
          org.modeshape.jcr.txn.NoClientTransactions

    public class NoClientTransactions

extends Transactions

An implementation of `Transactions` that does not even check whether there is a current transaction and instead always attempts to create a transaction within the `SessionCache.save()` calls. This is more efficient when the repository can be set up to never use container-managed or user-managed transactions.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.jcr.txn.Transactions
`Transactions.BaseTransaction, Transactions.SimpleTransaction, Transactions.Transaction, Transactions.TransactionFunction`

Field Summary

Fields inherited from class org.modeshape.jcr.txn.Transactions
`monitorFactory, txnMgr`

Constructor Summary
`NoClientTransactions(SessionEnvironment.MonitorFactory monitorFactory, TransactionManager txnMgr)`

Method Summary
`Transactions.Transaction` | `begin()` Starts a new transaction if one does not already exist, and associate it with the calling thread.

Methods inherited from class org.modeshape.jcr.txn.Transactions
`newMonitor, updateCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoClientTransactions

    public NoClientTransactions(SessionEnvironment.MonitorFactory monitorFactory,
                                TransactionManager txnMgr)

Method Detail

### begin

    public Transactions.Transaction begin()
                                   throws NotSupportedException,
                                          SystemException

  Description copied from class: `Transactions`
  Starts a new transaction if one does not already exist, and associate it with the calling thread.

  Specified by:
    `begin` in class `Transactions`
  Returns:
    the ModeShape transaction
  Throws:
    `NotSupportedException` - If the calling thread is already associated with a transaction, and nested transactions are not supported.
    `SystemException` - If the transaction service fails in an unexpected way.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.